//wird nicht mehr benötigt, Redux übernimmt die Speicherung der Variablen
//import { openDB, deleteDB } from "idb";

// Exportiere die Funktion initializeDatabase
/* export async function initializeDatabase() {
  try {
    const db = await openDB("CPLDatabase", 1, {
      upgrade(db) {
        if (!db.objectStoreNames.contains("cplVariables")) {
          db.createObjectStore("cplVariables");
        }
      },
    });
    return db;
  } catch (error) {
    if (error.name === "VersionError") {
      console.warn(
        "Versionskonflikt erkannt. Lösche und erstelle die Datenbank neu."
      );
      await deleteDB("CPLDatabase");
      return initializeDatabase();
    } else {
      console.error("Fehler beim Öffnen der Datenbank:", error);
      throw error;
    }
  }
}

// Exportiere die Funktion getFromIndexedDB
export async function getFromIndexedDB(key) {
  const db = await initializeDatabase();
  return await db.get("cplVariables", key);
}
 */
